balderich
Posts: 2
Joined: Tue Jul 26, 2022 1:45 pm

error while installing software

Tue Jul 26, 2022 1:50 pm

Hi,
I've tried to follow the Weather Station guide on https://projects.raspberrypi.org/en/pro ... er-station
On page 2 I facing the following error:

Code: Select all

py@raspberrypi:~ $ sudo apt-get install -y mariadb-server mariadb-client libmariadbclient-dev
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package libmariadbclient-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  libmariadb-dev-compat libmariadb-dev

E: Package 'libmariadbclient-dev' has no installation candidate
How can I solve this?

Thank you in advance :)

User avatar
B.Goode
Posts: 14125
Joined: Mon Sep 01, 2014 4:03 pm
Location: UK

Re: error while installing software

Tue Jul 26, 2022 3:05 pm

balderich wrote:
Tue Jul 26, 2022 1:50 pm
Hi,
I've tried to follow the Weather Station guide on https://projects.raspberrypi.org/en/pro ... er-station
On page 2 I facing the following error:

Code: Select all

py@raspberrypi:~ $ sudo apt-get install -y mariadb-server mariadb-client libmariadbclient-dev
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package libmariadbclient-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  libmariadb-dev-compat libmariadb-dev

E: Package 'libmariadbclient-dev' has no installation candidate
How can I solve this?

Thank you in advance :)




Have you tried installing the replacement packages listed in the error message?

balderich
Posts: 2
Joined: Tue Jul 26, 2022 1:45 pm

Re: error while installing software

Tue Jul 26, 2022 5:44 pm

OMG, thank you, it worked.

Return to “Weather station”